// pages/payDeposit/payDeposit.js
const app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    kid: '',
    agree: true,
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function(options) {
      this.setData({
        kid: options.kid,
        deposit: options.deposit,
        auction_way: options.auction_way,
        time : options.time
      })
    
   
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function() {

  },
  // 勾选同意协议事件
  checkboxChange: function(e) {
    if (e.detail.value[0] === '确认同意') {
      this.setData({
        agree: true
      })
    } else {
      this.setData({
        agree: false
      })
    }
  },
  // 支付保证金按钮事件
  formSubmit: function(e) {
    //console.log(e.detail.formId)
    if (this.data.agree) {
      wx.request({
        url: app.globalData.prodUrl + 'web-pm/wx/pm/apply',
        data: {
          item_kid: this.data.kid
        },
        header: {
          'ydw-token': wx.getStorageSync('key').ydw_token
        },
        method: 'GET',
        dataType: 'json',
        responseType: 'text',
        success: function(res) {
          wx.request({
            url: app.globalData.prodUrl + 'web-pm/wx/pay/to_pay',
            data: {
              payno_id: res.data.payNo.kid,
              openid: wx.getStorageSync('key').openid,
              formId: e.detail.formId
            },
            header: {
              'ydw-token': wx.getStorageSync('key').ydw_token
            },
            success: function(data) {
              //console.log(data)
              var time = new Date()
              wx.requestPayment({
                'timeStamp': data.data.json.timeStamp,
                'nonceStr': data.data.json.nonceStr,
                'package': data.data.json.package,
                'signType': 'MD5',
                'paySign': data.data.json.paySign,
                'success': function(res) {
                  wx.navigateBack({
                    delta: 1,
                    success: function() {
                      //console.log(data)
                      //console.log('支付成功')
                      var pages = getCurrentPages();
                      var page = getCurrentPages().pop();
                      //console.log(pages)
                      if (page == undefined || page == null) return;
                      pages[1].onLoad(pages[1].options);
                    }
                  })
                },
                'fail': function(res) {
                  //console.log('fail', res)
                }
              })
            }
          })
        },
        fail: function(res) {}
      })
    } else {
      wx.showToast({
        title: '请确认同意《用户竞买协议》和《保证金规则》',
        icon: 'none',
        duration: 3000,
        success: function(res) {
          //console.log(res)
        }
      })
    }
  }
})